> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Attributes

Retrieves an Attributes record for an Entity.

## Path Parameters

## Returns

Returns an Entity's Attributes object.

```bash cURL theme={null}
curl https://production.methodfi.com/entities/ent_au22b1fbFJbp8/attributes/attr_dADraNgLBrhgL \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```javascript Node.js theme={null}
const attribute = await method
  .entities('ent_au22b1fbFJbp8')
  .attributes
  .retrieve('attr_dADraNgLBrhgL');
```

```python Python theme={null}
attribute = method
  .entities('ent_au22b1fbFJbp8')
  .attributes
  .retrieve('attr_dADraNgLBrhgL')
```

```json theme={null}
{
  "success": true,
  "data": {
    "id": "attr_dADraNgLBrhgL",
    "entity_id": "ent_EQ3FCTzDUmmCb",
    "status": "completed",
    "attributes": {
      "revolving_credit_card_balance_total": {
        "value": 968400,
        "error": null,
        "metadata": null
      },
      "credit_limit_total": {
        "value": 8100000,
        "error": null,
        "metadata": null
      },
      "credit_card_utilization": {
        "value": 11.96,
        "error": null,
        "metadata": null
      },
      "weighted_average_apr_credit_card": {
        "value": 29.09,
        "error": null,
        "metadata": null
      },
      "usage_pattern": {
        "value": "revolver",
        "error": null,
        "metadata": null
      },
      "mortgage_balance_total": {
        "value": 15586300,
        "error": null,
        "metadata": null
      },
      "overall_utilization": {
        "value": 70.5,
        "error": null,
        "metadata": null
      },
      "installment_balance_total": {
        "value": 23605200,
        "error": null,
        "metadata": null
      }
    },
    "error": null,
    "created_at": "2026-04-09T17:02:47.910Z",
    "updated_at": "2026-04-09T17:04:35.220Z"
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.